Last Comment Bug 634439 - make package: "Warning: package error or possible missing or unnecessary file: bin/components/suitebrowser.xpt (package-manifest, 171)."
: make package: "Warning: package error or possible missing or unnecessary file...
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 2000
: -- normal (vote)
: seamonkey2.1b3
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 621532 713134
  Show dependency treegraph
 
Reported: 2011-02-15 15:32 PST by Serge Gautherie (:sgautherie)
Modified: 2011-12-30 04:46 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Remove obsolete suitebrowser.* (1.10 KB, patch)
2011-02-15 15:35 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review-
Details | Diff | Review
(Av2) Stop packaging obsolete suitebrowser.xpt [Checked in: Comment 5] (1.07 KB, patch)
2011-02-17 07:32 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2011-02-15 15:32:33 PST
Affected builds: build + leak + nightly.

This was missed in bug 621532.
Comment 1 Serge Gautherie (:sgautherie) 2011-02-15 15:35:37 PST
Created attachment 512623 [details] [diff] [review]
(Av1) Remove obsolete suitebrowser.*
Comment 2 Justin Wood (:Callek) 2011-02-15 15:41:48 PST
Comment on attachment 512623 [details] [diff] [review]
(Av1) Remove obsolete suitebrowser.*

SuiteBrowser.manifest needs to stay.
Comment 3 Serge Gautherie (:sgautherie) 2011-02-17 07:32:17 PST
Created attachment 513126 [details] [diff] [review]
(Av2) Stop packaging obsolete suitebrowser.xpt
[Checked in: Comment 5]

Av1, with comment 2 suggestion(s).


(In reply to comment #2)
> SuiteBrowser.manifest needs to stay.

I had removed it +/- "optimistically".
Could you teach me why it's still needed?
(I should have asked before, sorry.)
Comment 4 Justin Wood (:Callek) 2011-02-20 20:42:11 PST
Comment on attachment 513126 [details] [diff] [review]
(Av2) Stop packaging obsolete suitebrowser.xpt
[Checked in: Comment 5]

Suitebrowser.manifest needs to stay because it still exists and does more things.

http://mxr.mozilla.org/comm-central/source/suite/browser/SuiteBrowser.manifest

the .xpt is able to go away because we are no longer creating an idl to use here.
Comment 5 Serge Gautherie (:sgautherie) 2011-02-21 09:41:01 PST
Comment on attachment 513126 [details] [diff] [review]
(Av2) Stop packaging obsolete suitebrowser.xpt
[Checked in: Comment 5]

http://hg.mozilla.org/comm-central/rev/dc1fe50d0940
Comment 6 Serge Gautherie (:sgautherie) 2011-02-21 14:07:14 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1298316085.1298325448.15092.gz&fulltext=1
WINNT 5.2 comm-central-trunk build on 2011/02/21 11:21:25

V.Fixed
Comment 7 Serge Gautherie (:sgautherie) 2011-02-21 14:11:29 PST
(In reply to comment #4)
> Suitebrowser.manifest needs to stay because it still exists

Ah, sure, I missed to check that :-<

Note You need to log in before you can comment on or make changes to this bug.